cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/vehicles \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/vehicles"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"registration": "<string>",
"vin": "<string>",
"description": "<string>",
"colour": "<string>",
"status": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sorn": true,
"has_recall": true,
"last_odometer_reading": 123,
"counts": {
"equipment": 123
},
"mot": {
"is_valid": true,
"records": 123,
"last": {
"at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"tax": {
"is_valid": true,
"due": "<string>"
},
"checks": {
"inventory": {
"count": 123,
"last": {
"at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"inspection": {
"count": 123,
"last": {
"at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
},
"dvla": {
"mot": {
"exists": true,
"last_sync": "2023-11-07T05:31:56Z",
"data": {}
},
"ves": {
"exists": true,
"last_sync": "2023-11-07T05:31:56Z",
"data": {}
}
}
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"specification": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"equipment": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"team": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"assignee": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"serial": "<string>",
"status": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"model": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"vehicle": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Vehicles
List vehicles
Retrieve a list of vehicles. Filter by organisation with ?filter=eq(organisation,xxx).
GET
/
v3
/
vehicles
cURL
Authorizations
SessionCookieOAuth2
Session token for authentication.
Query Parameters
Filters the response data based on the value provided.
Available filters:
eq(id,xxx): Filter vehicles by ID.eq(organisation,xxx): Filter vehicles by organisation ID.eq(registration,xxx): Filter vehicles by registration number.contains(registration,xxx): Filter vehicles where registration contains value.eq(specification,xxx): Filter vehicles by specification ID.eq(team,xxx): Filter vehicles by team ID.eq(assignee,xxx): Filter vehicles by assignee user ID.eq(status,xxx): Filter vehicles by status.
For more information on using named filters, see the docs
A comma separated list of related resources to include.
Available options:
assignee, equipment, organisation, specification, team Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0Response
Get a list of vehicles.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a vehicle is returned.
An equipment item
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
⌘I